Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::Stock Class Reference

A C++ wrapper class for various stock methods. More...

`#include <xfc/gtk/stock.hh>`

List of all members.

## Static Public Member Functions

Methods

- void add (const StockItem &item)
    Registers a stock item.
- bool lookup (const StockId &stock_id, StockItem &item)
    Fills item with the registered values for stock_id, returning true if stock_id was known.
- std::vector< StockId > list_ids ()
    Retrieves a list of all known stock IDs added to an IconFactory or registered with add().

## Detailed Description

A C++ wrapper class for various stock methods.

Stock is a convenience class that wraps the miscellaneous GTK+ stock functions.

## Member Function Documentation

void Xfc::Gtk::Stock::add | ( | const StockItem & | item | ) | `[static]`

Registers a stock item.

Parameters:

  | item | The stock item to register.

If the item already exists with the same stock ID as one of the items, the old item gets replaced.

std::vector<StockId> Xfc::Gtk::Stock::list_ids | ( |  | ) | `[static]`

Retrieves a list of all known stock IDs added to an IconFactory or registered with add().

Returns:
  A vector of StockId that holds the list of known stock IDs.

bool Xfc::Gtk::Stock::lookup | ( | const StockId & | stock_id,
|  | StockItem & | item
| ) | `[static]`

Fills item with the registered values for stock_id, returning true if stock_id was known.

Parameters:

  | stock_id | The stock id for the stock item.
  | item | A stock item to initialize with values.

Returns:
  true if item was initialized.

The documentation for this class was generated from the following file:

- stock.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3